<div class="btn-toolbar" role="toolbar" aria-label="Toolbar with button groups">
  <div class="btn-group me-2" role="group" aria-label="Basic radio toggle button group">
    <input type="radio" class="btn-check" name="btnradio" id="btnradio1" autocomplete="off" checked>
    <label class="btn btn-outline-dark" for="btnradio1" (click)="SearchInProgress()"> In Progress</label>

    <input type="radio" class="btn-check" name="btnradio" id="btnradio2" autocomplete="off">
    <label class="btn btn-outline-dark" for="btnradio2" (click)="SearchValidated()">Validated</label>

    <input type="radio" class="btn-check" name="btnradio" id="btnradio3" autocomplete="off">
    <label class="btn btn-outline-dark" for="btnradio3" (click)="searchCanceled()">Canceled</label>
  </div>
</div>

<div  *ngFor="let i_request of allRequest" >
  <app-request-summary [request]="i_request" [activatedOption]="isInProgressSearch"></app-request-summary>
</div>
